@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;700;800&display=swap');

.loading-teo {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0px;
    top: 0px;
    background-color: rgba(255, 255, 255, 0.507);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-vermelho {
    background-color: #eb5157 !important;
    color: white !important;
}

.btn-vermelho:hover {
    background-color: #f5777b !important;
}

.btn-vermelho:focus {
    background-color: #eb5157 !important;
    box-shadow: 0px 0px 0px 3px #eb51568c !important;
}

.btn-vermelho:disabled {
    background-color: #eca7a9 !important;
}

.input-imagem-categoria {
    width: 300px;
    height: 70px;
    border: 2px dashed #b3b3b3;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cursor-pointer {
    cursor: pointer;
}

.preview-categoria {
    border-radius: 20px !important;
    box-shadow: 0px 0px 15px 0px rgb(202, 202, 202);
    max-width: 350px !important;
    max-height: 127.27px !important;
    min-width: 350px !important;
    min-height: 127.27px !important;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.dark_preview_categoria {
    background-color: rgba(0, 0, 0, 0.418);
    min-width: 351px;
    min-height: 128px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 20px !important;
}

.text-descricao-categoria {
    color: white !important;
    text-align: center;
    font-size: 30px;
    font-weight: 800;
}

.btn-remover-imagem {
    width: 30px;
    height: 30px;
    border-radius: 100px;
    position: absolute;
    right: -15px;
    box-shadow: 0px 0px 15px 0px rgb(202, 202, 202);
    top: -15px;
    background-color: rgb(107, 107, 107);
    display: flex;
    justify-content: center;
    color: white;
    align-items: center;
}

* {
    font-family: "Nunito" !important;
}

.card-categoria {
    box-shadow: 0px 0px 15px 0px rgb(202, 202, 202);
    border-radius: 20px;
    overflow: hidden;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background-size: cover;
}

.dark-categoria {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.25);
    left: 0px;
    top: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.dark-categoria p, .p-categoria {
    color: white;
    font-size: 20px;
    font-weight: 800;
}

.no-sublinhado {
    text-decoration: none !important;
}

.ball-paginate {
    width: 40px;
    height: 40px;
    box-shadow: 0px 0px 15px 2px rgba(0, 0, 0, 0.164);
    border-radius: 10000px;
    background-color: #eb5157;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

.a-paginate {
    margin-right: 7px;
    margin-left: 7px;
    font-weight: 800;
    text-decoration: none;
}

.a-paginate p {
    font-size: 20px !important;
    padding: 0px;
    margin: 0px;
}

.ball-paginate.active-ball-paginate {
    background-color: gray !important;
}

.btn-rounded-100 {
    border-radius: 1000px !important;
    min-width: 40px !important;
    min-height: 40px !important;
    max-width: 40px !important;
    max-height: 40px !important;
    padding: 0px !important;
}

.bootbox-close-button.close {
    background-color: #eb5157 !important;
    color: white !important;
    border-radius: 1000px;
    border-width: 0px;
    margin-bottom: 5px;
}

.txt-area-100 {
    min-height: 100px !important;
}

.container-imgs-preview {
    position: relative;
}

.imgs-preview {
    width: 150px !important;
}

.container-images-preview {
    display: flex;
    /* overflow-x: auto; */
}

.point-color {
    min-width: 15px;
    min-height: 15px;
    max-width: 15px;
    max-height: 15px;
    width: 15px;
    height: 15px;
    border-radius: 1000px;
    margin-right: 7px;
}

.container-cores-preview {
    display: flex;
}

button.container-imgs-preview {
    /* border: 2px dashed #363636; */
    border-width: 0px;
    border-radius: 10px;
    font-size: 50px;
    background-color: transparent;
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.24) !important;
}

.img-uploaded {
    width: 100%;
}

.li-cor-select {
    display: inline-block;
    list-style: none;
}

.li-cor-select .point-color {
    width: 35px;
    height: 35px;
    min-width: 35px;
    min-height: 35px;
    max-width: 35px;
    max-height: 35px;
    cursor: pointer;
    border: 2px solid white;
}

.li-cor-select .point-color:hover {
    border: 3px solid rgb(0, 0, 0);
}

input:checked~.li-cor-select .point-color{
    border: 3px solid rgb(0, 0, 0);
}

.radio-cor {
    display: none;
}

.li-cor-selected .point-color{
    border: 3px solid rgb(0, 0, 0);
}

#div-atualizacao {
    overflow: hidden;
}

#div-atualizacao.invisible {
    height: 0px;
}

.btn-close-container-imgs-preview {
    cursor: pointer;
    position: absolute;
    right: -15px;
    top: -5px;
    width: 30px;
    height: 30px;
    border-radius: 100px;
    background-color: #eb5157;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
}

.btn-selecionar-categoria.ativo::after {
    width: 100%;
    height: 25px;
    content: "Selecionado";
    position: absolute;
    background-color: rgb(58, 196, 65);
    color: white;
    font-family: "Nunito";
    bottom: 0px;
}

.tab-content {
    border: none !important;
}

.content-wrapper {
    padding: 0px !important;
}

.container-fluid.page-body-wrapper {
    padding-top: 0px !important;
}

.container-fluid.page-body-wrapper {
    min-height: 100vh;
}

.logo-prefeitura {
    padding: 10px;
}

img.logo-prefeitura {
    max-width: 100%;
}

nav.sidebar.sidebar-offcanvas {
    /* display: flex; */
    /* flex-direction: column; */
    /* justify-content: space-between; */
}

.open-menu-button {
    width: 50px;
    height: 50px;
    background-color: white;
    border: none;
    position: fixed;
    top: 13px;
    left: 20px;
    border-radius: 1000px;
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.301);
    z-index: 11;
}

.sidebar.sidebar-offcanvas {
    top: 0px
}

.sidebar.sidebar-offcanvas.active {
    height: 100%;
}


@media screen and (max-width: 991px) {
    a  button.btn-vermelho.btn-rounded.mb-3 {
        transform: translate(80px, -20px);
    }
}